<template>
    <v-container
            id="input-usage"
            grid-list-xl
            fluid
    >
        <v-layout wrap>
            <v-flex xs12>
                <v-text-field
                        type="number"
                        v-model="value"
                        :append-icon="schema.icon.append"
                        :prepend-icon="schema.icon.prepend"
                        :disabled="disabled"
                        :clearable="true"
                        :placeholder="schema.placeholder"
                        :readonly="schema.readonly"></v-text-field>
            </v-flex>
        </v-layout>
    </v-container>
</template>


<script>
    import {abstractField} from "vue-form-generator";

    export default {
        name: 'fieldCustomNumber',
        mixins: [abstractField]
    };
</script>

<style scoped>

</style>